<?php
// Sāk sesiju
session_start();

$servername = "109.106.254.1";
$username = "u353443769_beis";
$password = 'Te$t@dm1n';
$database = "u353443769_beis";

// Pārbauda, vai autorid ir iestatīts sesijā
if (!isset($_SESSION['autorid'])) {
    // Ja autorid nav iestatīts sesijā, atgriež kļūdas ziņojumu
    echo json_encode(['success' => false, 'message' => 'Autorid nav iestatīts sesijā']);
    exit(); // Pārtrauc skripta izpildi
}

// Izgūst autorid no sesijas
$autorid = $_SESSION['autorid'];

// Izveido savienojumu
$conn = new mysqli($servername, $username, $password, $database);

// Pārbauda savienojumu
if ($conn->connect_error) {
    die("Savienojums neizdevās: " . $conn->connect_error);
}

// Pārbauda, vai ir norādīts postid parametrs
if(isset($_GET['postid'])) {
    // Attīra ievadi, lai novērstu SQL injekcijas
    $postid = $conn->real_escape_string($_GET['postid']);

    // Pārbauda, vai šis ieraksts pieder pašreizējam lietotājam
    $check_sql = "SELECT * FROM pav_gra_saglab WHERE postid_s = '$postid' AND autorid_s = '$autorid'";
    $check_result = $conn->query($check_sql);
    if($check_result->num_rows == 0) {
        // Ja ieraksts nepieder pašreizējam lietotājam, atgriež kļūdas ziņojumu
        echo json_encode(['success' => false, 'message' => 'Jums nav atļauts noņemt šo ierakstu']);
        exit(); // Pārtrauc skripta izpildi
    }

    // Noņem ierakstu no pav_gra_saglab tabulas
    $sql = "DELETE FROM pav_gra_saglab WHERE postid_s = '$postid' AND autorid_s = '$autorid'";
    if ($conn->query($sql) === TRUE) {
        // Atgriež veiksmes ziņojumu kā JSON atbildi
        echo json_encode(['success' => true]);
    } else {
        // Atgriež kļūdas ziņojumu kā JSON atbildi
        echo json_encode(['success' => false, 'message' => 'Kļūda, noņemot ierakstu no saglabātajiem']);
    }
} else {
    // Atgriež kļūdas ziņojumu, ja trūkst postid parametrs
    echo json_encode(['success' => false, 'message' => 'Trūkst postid parametrs']);
}

// Aizver datubāzes savienojumu
$conn->close();
?>